# -*- coding: utf-8 -*-
from setuphelpers import *


def systemd_enable_start_service(servicename):
    return run('LANG=C systemctl enable --now %s' % (servicename))


def install():
    print('Install dependancies')
    install_apt('gnupg')
    install_apt('sudo')
    install_apt('curl')

    print('Get GPG key')
    run('wget -O - https://pgp.mongodb.com/server-5.0.asc | apt-key add -')

    print('Add MongoDB repo')
    run('echo "deb http://repo.mongodb.org/apt/debian bullseye/mongodb-org/5.0 main" | \
    sudo tee /etc/apt/sources.list.d/mongodb-org-5.0.list')
    run('apt update')

    print('Install MongoDB server')
    install_apt('mongodb-org')

    print('Enable and start mongod service')
    systemd_enable_start_service('mongod')


def uninstall():
    systemd_stop_service('mongod')

    uninstall_apt('mongodb-org*',autoremove=True)